package org.huihoo.workflow.desktop;

import org.huihoo.workflow.WorkflowSerializable;
import org.huihoo.workflow.server.WorkflowDispatcher;
import org.huihoo.workflow.xpdl.WorkflowPackage;

//----------------------------BEGIN LICENSE----------------------------
/* 
 * Willow : the Open Source WorkFlow Project
 * Distributable under GNU LGPL license by gun.org
 *
 * Copyright (C) 2004-2010 huihoo.org 
 * Copyright (C) 2004-2010  ZosaTapo <dertyang@hotmail.com> 
 * 
 * ====================================================================
 * Project Homepage : http://www.huihoo.org/willow
 * Source Forge     : http://sourceforge.net/projects/huihoo
 * Mailing list     : willow@lists.sourceforge.net 
 */
//----------------------------END  LICENSE----------------------------

public interface WorkflowImplementation extends WorkflowSerializable
{
	public String getUUID();
	
	public WorkflowDesktop getDesktop();
	public WorkflowPackage getWorkflowPackage();

	public CaseDatabase getCaseDatabase();
	public UserDatabase getUserDatabase();

	public WorkflowDispatcher getWorkflowDispatcher();

}
